Botan 1.10.17

Public Member Functions | List of all members
Botan::Data_Store::Matcher Class Referenceabstract

`#include <datastor.h>`

## Public Member Functions
virtual bool | operator() (const std::string &, const std::string &) const =0
virtual std::pair< std::string, std::string > | transform (const std::string &, const std::string &) const
virtual | ~Matcher ()

## Detailed Description

A search function

Definition at line 28 of file datastor.h.

## Constructor & Destructor Documentation

## ◆ ~Matcher()

virtual Botan::Data_Store::Matcher::~Matcher | ( |  | ) |
| inline virtual

Definition at line 37 of file datastor.h.

37 {}

## Member Function Documentation

## ◆ operator()()

virtual bool Botan::Data_Store::Matcher::operator() | ( | const std::string & | ,
|  | const std::string & |
| ) |  | const
| pure virtual

## ◆ transform()

std::pair< std::string, std::string > Botan::Data_Store::Matcher::transform | ( | const std::string & | key,
|  | const std::string & | value
| ) |  | const
| virtual

Definition at line 20 of file datastor.cpp.

Referenced by Botan::Data_Store::search_with().

22 {
23 return std::make_pair(key, value);
24 }

The documentation for this class was generated from the following files:

- src/utils/datastor/datastor.h
- src/utils/datastor/datastor.cpp